/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'cpxhid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'cpxhname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'cpxhname',
        prop: 'cpxhname',
        dataType: 'TEXT',
      },
      {
        name: 'abl',
        prop: 'abl',
        dataType: 'SSCODELIST',
      },
      {
        name: 'cllxms',
        prop: 'cllxms',
        dataType: 'SSCODELIST',
      },
      {
        name: 'bm',
        prop: 'bm',
        dataType: 'TEXT',
      },
      {
        name: 'cx',
        prop: 'cx',
        dataType: 'TEXT',
      },
      {
        name: 'cxdm',
        prop: 'cxdm',
        dataType: 'TEXT',
      },
      {
        name: 'dycpxh',
        prop: 'dycpxh',
        dataType: 'TEXT',
      },
      {
        name: 'hdzk',
        prop: 'hdzk',
        dataType: 'INT',
      },
      {
        name: 'zbzl',
        prop: 'zbzl',
        dataType: 'DECIMAL',
      },
      {
        name: 'ssnf',
        prop: 'ssnf',
        dataType: 'TEXT',
      },
      {
        name: 'xcgzj',
        prop: 'xcgzj',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'sccs',
        prop: 'sccs',
        dataType: 'TEXT',
      },
      {
        name: 'pp',
        prop: 'pp',
        dataType: 'TEXT',
      },
      {
        name: 'clsjjz',
        prop: 'clsjjz',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'pl',
        prop: 'pl',
        dataType: 'DECIMAL',
      },
      {
        name: 'hpds',
        prop: 'hpds',
        dataType: 'SSCODELIST',
      },
      {
        name: 'hdzzl',
        prop: 'hdzzl',
        dataType: 'DECIMAL',
      },
      {
        name: 'gl',
        prop: 'gl',
        dataType: 'DECIMAL',
      },
      {
        name: 'bz',
        prop: 'bz',
        dataType: 'TEXT',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'cpxhid',
        prop: 'cpxhid',
        dataType: 'GUID',
      },
      {
        name: 'cpxh',
        prop: 'cpxhid',
        dataType: 'FONTKEY',
      },
    ]
  }

}